'use strict';

var capiV2 = require('./utils/capi-v2');
var content = require('./content');

module.exports = function(opts) {
	var uuid = opts.uuid;
	var count = opts.count || 10;
	return capiV2({
		uuid: uuid,
		path: '/content?isAnnotatedBy=http://api.ft.com/things/' + uuid,
		type: 'ContentAnnotatedBy'
	})
		.then(function(articles) {
			return Promise.all(articles.content.slice(0, count).map(function(article) {
				return content({
					uuid: article.apiUrl.replace('http://api.ft.com/content/', ''),
					type: 'Article'
				});
			}));
		});
};
