'use strict';

var fetchres = require('fetchres');
var logger = require('ft-next-logger');
var catchNetworkErrors = require('./utils/catch-network-errors');

module.exports = function(uuid, taxonomy) {
	var url = 'https://next-v1tov2-mapping-dev.herokuapp.com/concordance_mapping_v1tov2/' + taxonomy + '/' + uuid;

	return fetch(url, {
			timeout: 3000
		})
			.catch(catchNetworkErrors)
			.then(function(response) {
				if (!response.ok) {
					logger.warn('Failed to get mapping', {
						uuid: uuid,
						taxonomy: taxonomy,
						status: response.status
					});
				}
				return response;
			})
			.then(fetchres.json)
			.then(function(data) {
				if (!data.concordance_map.v2) {
					throw new Error('Mapping doesn‘t exist');
				} else {
					return data.concordance_map.v2.enriched_goodness;
				}
			});
};
